﻿$CommonName = “CN=AG-ITS”
$DisplayName = ”Alex Goris IT Solutions”
$ExportCertFolder = "C:\SelfSignedCertExport"                                                  
$CertificateName = ”AG-ITS.MSIX”   #This will the filename for the certificate file that will be created
$Password = ”P@ssw0rd!”
$KeyAlgorithm = "RSA" 
$KeyLength =  2048
$HashAlgorithm = "SHA256"
$pwd=ConvertTo-SecureString -String $Password -Force -AsPlainText
$PfxName = “$($ExportCertFolder)\$($CertificateName).pfx”

If(!(test-path $ExportCertFolder))
{
      New-Item -ItemType Directory -Force -Path $ExportCertFolder
}

#Creation of certifcate in local computer store
$certificate = New-SelfSignedCertificate -Subject $CommonName -FriendlyName $DisplayName -KeyAlgorithm $KeyAlgorithm -HashAlgorithm $HashAlgorithm -KeyLength $KeyLength -Provider “Microsoft Enhanced RSA and AES Cryptographic Provider” -KeyExportPolicy Exportable  -KeyUsage DigitalSignature -Type CodeSigningCert -CertStoreLocation “Cert:\LocalMachine\my” 

#Export certifcate as .pfx file
$certificate | Export-PfxCertificate -FilePath $PfxName -Password $pwd -Force 

#Remove created certificate from local machine
Remove-item $certificate.PsPath -Recurse -Force 

Import-PfxCertificate -FilePath $ExportCertFolder\AG-ITS.MSIX.pfx -CertStoreLocation Cert:\LocalMachine\Root -Password $pwd